sc::Triangle Class Reference
Inheritance diagram for sc::Triangle:
[legend]
Collaboration diagram for sc::Triangle:
[legend]

## Public Types

enum | { max_order = 10 }

## Public Member Functions

| Triangle (const Ref< Edge > &v1, const Ref< Edge > &v2, const Ref< Edge > &v3, unsigned int orient0=0)
Ref< Edge > | edge (int i)
int | contains (const Ref< Edge > &) const
unsigned int | orientation (int i) const
unsigned int | orientation (const Ref< Edge > &) const
void | add_edges (std::set< Ref< Edge > > &)
void | add_vertices (std::set< Ref< Vertex > > &)
void | interpolate (const Ref< TriInterpCoef > &, double r, double s, const Ref< Vertex > &v, SCVector3 &dA)
void | interpolate (double r, double s, const Ref< Vertex > &v, SCVector3 &dA)
void | interpolate (double r, double s, const Ref< Vertex > &v, SCVector3 &dA, const Ref< Volume > &vol, double isovalue)
Ref< Vertex > | vertex (int i)
double | flat_area ()
void | flip ()
unsigned int | order () const
void | set_order (int order, const Ref< Volume > &vol, double isovalue)
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Protected Attributes

unsigned int | _order
unsigned int | _orientation0
unsigned int | _orientation1
unsigned int | _orientation2
Ref< Edge > | _edges [3]
Ref< Vertex > * | _vertices

## Additional Inherited Members

Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)

The documentation for this class was generated from the following file:

- triangle.h